FAUHDLI(1)

NAME
fauhdli - Interprete intermediate code that was generated from fauhdlc.

SYNOPSIS

fauhdli [ --debug ] { --simulate top-entity } [ --output vcd-file ] [ --trace entity ...] { input-file }

DESCRIPTION

fauhdli is an interpreter for the intermediate code files that result from the VHDL compiler fauhdlc.

OPTIONS

These programs follow the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

-d, --debug
    Enable debugging, which will print out line numbers for each intermediate code line that is processed.

-s, --simulate top-entity
    Use top-entity as start of the simulation, e.g."work:test_bench".

-o, --output vcd-file
    Output the signal changes into vcd-file. The result can be viewed with gtkwave.

-t, --trace entity
    Trace all signals in entity. Use in conjunction with -o. May be specified more than once.

SEE ALSO

fauhdlc(1)

CONTACT

Please report all bugs to FAUmachine Team <info@faumachine.org>. FAUmachine/fauhdlc Homepage[1].

AUTHOR

FAUmachine Team

COPYRIGHT
Copyright © 2009 FAUmachine Team Developed at Friedrich Alexander University Erlangen-Nuremberg.

FAUhdlc comes with ABSOLUTELY NO WARRANTY. FAUhdlc is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version. See COPYING for details.

NOTES

1.  FAUmachine/fauhdlc Homepage
    http://www.faumachine.org